## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname         scrape-schema-recipe
%global         forgeurl        https://github.com/micahcochran/scrape-schema-recipe
Version:        0.2.2
%global         tag             %{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Scrape recipes from HTML into Python dictionaries

License:        Apache-2.0
URL:            %{forgeurl}
# Prepare source offline to not include files with proprietary licenses
Source0:        %{srcname}-cleaned-%{version}.tar.gz
Source1:        prepare.sh
# Modify function not to return names of removed files
Patch:          example-names.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

BuildArch: noarch

%global _description %{expand:
Scrapes recipes from HTML https://schema.org/Recipe (Microdata/JSON-LD)
into Python dictionaries.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p 1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files scrape_schema_recipe -l

%check
%pyproject_check_import
# Do not run tests that require network access and
# that cannot use data that cannot be redistributed
# in Fedora
sed -i 's/DISABLE_NETWORK_TESTS = False/DISABLE_NETWORK_TESTS = True/g'\
    test_scrape.py
k="${k-}${k+ and }not TestUnsetTimeDate"
k="${k-}${k+ and }not TestTypeList"
k="${k-}${k+ and }not (TestEscaping and test_unescape_ingredients)"

%py3_test_envvars %pytest -k "${k-}"

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
 
%changelog
## START: Generated by rpmautospec
* Wed Nov 13 2024 John Doe <packager@example.com> - 0.2.2-1
- Uncommitted changes
## END: Generated by rpmautospec
